<?php

namespace General\Services\Report;

use General\Models\Report\ReportUserBindRecord;

/**
 * 抖音数据上报
 */
class QappTiktokReport extends BaseReport
{
    public function __construct()
    {
        $this->charge_event_type = 2;
        $this->register_event_type = 0;
        $this->report_url = 'https://ad.toutiao.com/track/activate';
    }


    public function getRegisterQueryParams(ReportUserBindRecord $user): array
    {
        return  [
            'callback' => $user->callback,
            'event_type' => $this->register_event_type,
            'os' => $user->os,
            'muid' => $user->muid,
        ];
    }

    public function getChargeQueryParams(ReportUserBindRecord $user, float $amount): array
    {
        return  [
            'callback' => $user->callback,
            'event_type' => $this->charge_event_type,
            'os' => $user->os,
            'muid' => $user->muid,
        ];
    }
}
